Skip to main content
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
pnl
Wallet - PnL Summary
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/pnl \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
  "resolution": "1d",
  "tokens": "15126",
  "buys": "1515999",
  "sells": "1011994",
  "totalTrades": "2527993",
  "wins": "438944",
  "losses": "348350",
  "winRate": "0.5575",
  "buyAmountInUsd": "101371192.39",
  "sellAmountInUsd": "60369621.10",
  "totalCostInUsd": "225944253.64",
  "realizedProfitInUsd": "802583.91",
  "realizedProfitRatio": "0.0035521324",
  "unrealizedProfitInUsd": "1017625099.17",
  "unrealizedProfitRatio": "4.5038768756",
  "totalProfitInUsd": "1018427683.08",
  "totalProfitRatio": "4.5074290081",
  "avgProfitPerTradeInUsd": "402.86",
  "updatedAt": "2026-02-04T11:42:50.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
walletAddress
string
required

An address of a wallet

Example:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

Query Parameters

resolution
enum<string>

PnL time resolution (1d, 7d, 30d, or all)

Available options:
1d,
7d,
30d,
all

Response

200 - application/json
walletAddress
string
required

Wallet address

Example:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

resolution
enum<string>
required

PnL time resolution

Available options:
1d,
7d,
30d,
all
Example:

"1d"

tokens
string
required

Number of unique tokens traded

Example:

"15126"

buys
string
required

Total number of buy transactions

Example:

"1515999"

sells
string
required

Total number of sell transactions

Example:

"1011994"

totalTrades
string
required

Total number of trades (buys + sells)

Example:

"2527993"

wins
string
required

Number of winning token positions

Example:

"438944"

losses
string
required

Number of losing token positions

Example:

"348350"

winRate
string
required

Win rate (wins / total closed positions)

Example:

"0.5575"

buyAmountInUsd
string
required

Total buy amount in USD

Example:

"101371192.39"

sellAmountInUsd
string
required

Total sell amount in USD

Example:

"60369621.10"

totalCostInUsd
string
required

Total cost basis in USD

Example:

"225944253.64"

realizedProfitInUsd
string
required

Realized profit in USD

Example:

"802583.91"

realizedProfitRatio
string
required

Realized profit ratio

Example:

"0.0035521324"

unrealizedProfitInUsd
string
required

Unrealized profit in USD

Example:

"1017625099.17"

unrealizedProfitRatio
string
required

Unrealized profit ratio

Example:

"4.5038768756"

totalProfitInUsd
string
required

Total profit in USD (realized + unrealized)

Example:

"1018427683.08"

totalProfitRatio
string
required

Total profit ratio

Example:

"4.5074290081"

avgProfitPerTradeInUsd
string
required

Average profit per trade in USD

Example:

"402.86"

updatedAt
string

Last data update timestamp

Example:

"2026-02-04T11:42:50.000Z"